import { route } from 'docuri';

const routes = {
  config: route('config'),
  gpx: route('gpx/:gpx'),
  trk: route('gpx/:gpx/trk/:trk'),
  trkseg: route('gpx/:gpx/trk/:trk/:trkseg'),
  trkpt: route('gpx/:gpx/trk/:trk/:trkseg/:trkpt'),
  wpt: route('gpx/:gpx/wpt/:wpt'),
  rte: route('gpx/:gpx/rte/:rte'),
  rtept: route('gpx/:gpx/rte/:rte/:rtept'),
};

type RouteKey = keyof typeof routes;

const uri = (type: RouteKey, param: any) => {
  return routes[type](param);
};

export default uri;
